//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
USERES("FS2_VM.res");
USEFORM("VM_Main.cpp", Form1);
USEUNIT("Globals.cpp");
USEFORM("KanaString.cpp", KanaForm);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
  try
  {
      Application->Initialize();
      Application->Title = "Farland Story 2: Virtual Machine";
      Application->CreateForm(__classid(TForm1), &Form1);
      Application->CreateForm(__classid(TKanaForm), &KanaForm);
      Application->Run();
  }
  catch (Exception &exception)
  {
      Application->ShowException(&exception);
  }
  return 0;
}
//---------------------------------------------------------------------------
